summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2021-03-15 06:25:38 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2021-03-15 09:23:28 (EDT)
commit67b0f851b48bffaf8d97e702338004778f364777 (patch)
treec8bb842d6921eac001d54991e59576e27aa79b84 /autogen.sh
parenta3356b9781e1dd362ecc7cd2c4c2cf20a893a4b6 (diff)
downloaddodge-balls-67b0f851b48bffaf8d97e702338004778f364777.zip
dodge-balls-67b0f851b48bffaf8d97e702338004778f364777.tar.gz
dodge-balls-67b0f851b48bffaf8d97e702338004778f364777.tar.bz2
Add build system and package documentation
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..28c30e4
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# Script to generate the build system.
+#
+# Copyright (C) 2013 Patrick McDermott
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+set -e
+
+srcdir="${0%/*}"
+
+{(
+ cd "${srcdir}"
+ [ -d build-aux ] || mkdir build-aux
+ cat >ChangeLog <<-EOF
+This file is generated upon release. Run \`git log\` for a list of changes.
+EOF
+ aclocal
+ autoconf
+ autoheader
+ automake --add-missing --copy
+)}
+
+"${srcdir}/configure" "${@}"